        BLOCK DATA BLKHCOMMON
C
C----------------------------------------------------------------------
C
C.IDENTIFICATION: Block data   for common block HCOMMON and HCCOMMON
C.AUTHOR:         L.Chiappetti - IFCTR Milano
C.VERSIONS:       0.0 - 12 Dec 91 - Test version
C                 0.1 - 10 Aug 91 - Revised version (changes in COMMON)
C                 1.0 - 30 Oct 92 - unchanged                 
C.PURPOSE:        initialize common blocks of XAS dataformat routines
C.ELEMENTS:       BUFFER         set to all binary zeros
C-                CURLOC         set to 0                            
C-                MAXLOC         set to 0 (not yet allocated) 
C                                it was formerly set to maximu size (2048)    
C-                EXTADDR        set to 0 (no Z_ALLOC)    
C-                EXTOFFSET      set to 0 (no Z_ALLOC)    
C-                NFILES         set to 0 (no files used)
C-                CURFILE        set to 0 (no current file)
C-                CONTEXT        set to 0 (default search)
C.RESTRICTIONS:
C.NOTES:
C
C----------------------------------------------------------------------
C
       CHARACTER ZERO*1
       INTEGER   i,J
       PARAMETER (ZERO=CHAR(0))
       INCLUDE   'hcommon.inc'
       INTEGER   HCOMMON_K
       PARAMETER (HCOMMON_K=HCOMMON_TOP*HCOMMON_MAXFILES)
C      tentatively dimension 2kbyte for headers    
       DATA HCOMMON_NFILES,HCOMMON_CURFILE /0,0/
       DATA HCOMMON_CONTEXT /0/
       DATA HCOMMON_CURLOC    /HCOMMON_MAXFILES*0/
       DATA HCOMMON_MAXLOC    /HCOMMON_MAXFILES*0/
       DATA HCOMMON_EXTADDR   /HCOMMON_MAXFILES*0/
       DATA HCOMMON_EXTOFFSET /HCOMMON_MAXFILES*0/
       DATA ((HCOMMON_BUFFER(j)(i:i),i=1,HCOMMON_TOP),
     .      j=1,HCOMMON_MAXFILES) /HCOMMON_K*ZERO/
       END
